astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Visualization (`astropy.visualization`) »
- ImageNormalize

# ImageNormalize

class `astropy.visualization.mpl_normalize.``ImageNormalize`(vmin=None, vmax=None, stretch=None, clip=False)

  Bases: `matplotlib.colors.Normalize`

  Normalization class to be used with Matplotlib.

  Parameters:

  vmin, vmax : float

  > The minimum and maximum levels to show for the data

  stretch : `BaseStretch` instance

  > The stretch to use for the normalization

  clip : bool, optional

  > Whether to clip the output values to the [0:1] range

  Methods Summary

  `__call__`(values[, clip]) |
  `inverse`(values) |

  Methods Documentation

  `__call__`(values, clip=None)
  `inverse`(values)